<!-- generated by eMediaAdmin 2.1.03 -->
<html>
<head>
<title>BSD Today:
Using Postfix
</title>
<meta name=description content="BSD resources and information.">
<meta name=keywords content="bsd, freebsd, openbsd, netbsd, bsdi, bsd/os"> 
</head>

<body bgcolor="#FFFFFF" link="#9C0000" vlink="#CC3333" alink="#8a9ebc"
text="#000000" 
topmargin=1 leftmargin=1 rightmargin=1 marginwidth=1 marginheight=1>

<a name="top"></a>

<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr><td bgcolor="#9C0000" height="15" align=left nowrap colspan="2">
<font face="Arial,sans-serif,MS Sans Serif,Geneva,Helvetica" size="-2"
color="#FFFFFF"> 
&nbsp;&nbsp;
<span style="color:#FFFFFF">
<a href="/"><font color="#FFFFFF"><b>Front</b></font></a>
|
<a href="/News/"><font color="#FFFFFF"><b>News</b></font></a>
|
<a href="/Features/"><font color="#FFFFFF"><b>Features</b></font></a>
|
<a href="/Tutorials/"><font color="#FFFFFF"><b>Tutorials</b></font></a>
|
<a href="/Security/"><font color="#FFFFFF"><b>Security</b></font></a>
|
<a href="/resources/"><font color="#FFFFFF"><b>Resources</b></font></a>
|
<a href="/contribute/"><font color="#FFFFFF"><b>Contribute</b></font></a>
|
<a href="/contribute/"><font color="#FFFFFF"><b>Write for us</b></font></a>
</span></font></td></tr>
</table>

<table cellpadding="0" cellspacing="2" border="0" width="100%">
<tr>
<td>
<img src="bsdlogo.png" alt="BSD Today" border=0>
<br>
<b><font face="Arial,sans-serif,MS Sans Serif,Geneva,Helvetica" color="#486591">
Your Daily Source for <font color="#9C0000">BSD</font> News and Information
</font></b>
</td>
<td align="right">
<!-- 468x60 ad tag--> 
     <IFRAME WIDTH=468 HEIGHT=60 MARGINWIDTH=0 MARGINHEIGHT=0 HSPACE=0 VSPACE=0 FRAMEBORDER=0 SCROLLING=no BORDERCOLOR="#000000" SRC="http://netadsrv.iworld.com/html.ng/site=internetcom&PagePos=10&size=468x60&channel=linux&content_site=www.bsdtoday.com&feature=FEATURE">
     <SCRIPT LANGUAGE="JavaScript1.1" SRC="http://netadsrv.iworld.com/js.ng/site=internetcom&PagePos=10&size=468x60&channel=linux&content_site=www.bsdtoday.com&feature=FEATURE&Params.richmedia=yes"> 
     </SCRIPT>
     <NOSCRIPT>
     <A HREF="http://netadsrv.iworld.com/click.ng/site=internetcom&PagePos=10&size=468x60&channel=linux&content_site=www.bsdtoday.com&feature=FEATURE&Params.richmedia=yes"> 
     <IMG SRC=http://netadsrv.iworld.com/image.ng/site=internetcom&PagePos=10&size=468x60&channel=linux&content_site=www.bsdtoday.com&feature=FEATURE&Params.richmedia=yes"> 
     </A> 
     </NOSCRIPT> 
     </IFRAME> 
 <!-- /468x60 ad tag -->
</td>
</tr>
</table>

<table cellpadding="0" cellspacing="2" border="0" width="100%">
<tr>
<td valign="bottom" colspan="5">
<img src="black.gif" height="1" width="100%">
</td>
</tr>
<tr><td valign="top" width="125" nowrap>

<!-- 125x125 ad tag--> 
     <IFRAME WIDTH=125 HEIGHT=125 MARGINWIDTH=0 MARGINHEIGHT=0 HSPACE=0 VSPACE=0 FRAMEBORDER=0 SCROLLING=no BORDERCOLOR="#000000" SRC="http://netadsrv.iworld.com/html.ng/site=internetcom&PagePos=10&size=125x125&channel=linux&content_site=www.bsdtoday.com&feature=FEATURE">
     <SCRIPT LANGUAGE="JavaScript1.1" SRC="http://netadsrv.iworld.com/js.ng/site=internetcom&PagePos=10&size=125x125&channel=linux&content_site=www.bsdtoday.com&feature=FEATURE&Params.richmedia=yes"> 
     </SCRIPT>
     <NOSCRIPT>
     <A HREF="http://netadsrv.iworld.com/click.ng/site=internetcom&PagePos=10&size=125x125&channel=linux&content_site=www.bsdtoday.com&feature=FEATURE&Params.richmedia=yes"> 
     <IMG SRC=http://netadsrv.iworld.com/image.ng/site=internetcom&PagePos=10&size=125x125&channel=linux&content_site=www.bsdtoday.com&feature=FEATURE&Params.richmedia=yes"> 
     </A> 
     </NOSCRIPT> 
     </IFRAME> 
 <!-- /125x125 ad tag -->

<p>
<!-- --------INTERNET.COM TOOLBAR-------- -->
<a href="http://internet.com"><img border="0"
src="internet.com.sm.gif"></a>

<br>
<FONT face="arial, helvetica, geneva, sans-serif" SIZE="1">
<A HREF="http://www.internet.com/sections/news.html">Internet News</A><BR>
<A HREF="http://www.internet.com/sections/stocks.html">Internet Stocks/VC</A><BR>
<A HREF="http://www.internet.com/sections/it.html">Internet Technology</A><BR>
<A HREF="http://www.internet.com/sections/win.html">Windows Internet Tech.</A><BR>
<A HREF="http://www.internet.com/sections/linux.html">Linux/Open Source</A><BR>
<A HREF="http://www.internet.com/sections/webdev.html">Web Developer</A><BR>
<A HREF="http://www.internet.com/sections/marketing.html">ECommerce/Marketing</A><BR>
<A HREF="http://www.internet.com/sections/isp.html">ISP Resources</A><BR>
<A HREF="http://www.internet.com/sections/asp.html">ASP Resources</A><BR>
<A HREF="http://www.internet.com/sections/wireless.html">Wireless Internet</A><BR>
<A HREF="http://www.internet.com/sections/downloads.html">Downloads</A><BR>
<A HREF="http://www.internet.com/sections/resources.html">Internet Resources</A><BR>
<A HREF="http://www.internet.com/sections/lists.html">Internet Lists</A><BR>
<A HREF="http://www.internet.com/sections/international.html">International</A><BR>
<BR>
<A HREF="http://search.internet.com">Search internet.com</A><BR>
<A HREF="http://www.internet.com/mediakit/">Advertising Info</A><BR>
<A HREF="http://www.internet.com/corporate/">Corporate Info</A><BR>

<p>

<!-- =====INTERNET.COMMERCE===== -->
<a href="http://internet.com"><img border="0"
src="internetcomm.gif"></a>
<br>

<A HREF="http://www.internet.com/partners/index.html">Be a Commerce Partner</A><BR>
<A HREF="http://software.internet.com/">Software Store</A><BR>
<A HREF="http://adforce.imgis.com/?adlink|192|153955|1|12|ADFORCE">Computer Help</A><BR>
<A HREF="http://ru.domainbank.net/refer.cfm?refer=iw1000">Register Domains</A><BR>
<A HREF="http://jobs.internet.com/">Internet Jobs</A><BR>
<A HREF="http://www.mapquest.com/cgi-bin/ia_find?link=/b2b/b2b_homepage">Map Your Website</A><BR>
<A HREF="http://www.internet.com/postmaster.html">Rent E-mail Lists</a><BR>
<A HREF="http://www.fatbrain.com/home.html?from=YEJ244">Bookstore</a><BR>
<A HREF="http://www.newsbureau.com">Press Release dist.</A><BR>
<A HREF="http://www.allnetresearch.com/">Internet Research</A><BR>
<A HREF="http://www.internet.comvc.com/">Venture Capital</A><BR>
<A href="http://www.newslinx.com/4linxinfo.html">Web Publishing</A><BR>
<A HREF="http://www.planet-intra.com/">Build Your Intranet</A><BR>
<A HREF="http://www.exp.com/Affiliates?token=internet.com-u-c&cat_id=7">Ask an Expert</A><BR>
<A HREF="http://www.cyveillance.com/link/internet.asp">Get e-Biz Intell.</A><BR>
<A HREF="http://www.screamingmedia.net/alliance/internet.html">Content for Websites</A><BR>
<a href="http://promo.nexchange.com/1457.asp">Build Sticky eStores</a><br>
<a href="http://www.directcoupons.com/advertise.html">Advertise a Coupon</a><br>
<a href="http://www.epromos.com">Promotional Products</a><br>
<a href="http://links.verza.com/cgi-bin/mlic?eu=102743">Accept Credit Cards</a><br>
<a href="http://www.netzip.com/products/Info_Demon.html">Download Solutions</a><br>
<a href="http://www.dxstorm.com/dxsites2/dxcart/internet.mhtml?code=b20000519-ic1&id=1172">Shopping Cart</a><br>
<a href="http://buynow.jfax.com/internetcom/default.html ">fax & vmail for free</a><br>
<a href="http://www.telekomnet.com/">Hardware Store</a><br>
<a href="http://www.redgorilla.com/app/PartnerLanding?templateID=internetcom&partnerID=0015">PDA Time Tracking</a><br>
<a href="http://www.netsanity.com/cgi-bin/download.cgi?PID=INTE01">News to Your Desktop</a><br>
<a href="http://www.mondus.com">Small Biz Purchasing</a><br>
<A HREF="http://www.b2bexplorer.com/index_internet.html">B2B Directory/Search</A><br>
<A HREF="http://www.internet.workexchange.com/">Freelancers</A><br>
<a href="http://www.searchbutton.com/">Site Search Solutions</A><br>
<a href="https://affinity.qwest.com/RNT/">Hosting Services</A><br>
<a href="http://www.pagoo.com/asp/isp/linkto.asp?RefID=269&SubID=text">Get Calls Online</a><br>
<a href="http://www.compubank.com/index.cfm?affinity=502652">Business Banking</a><br>
<a href="http://www.freediskspace.com">Free Disk Space</a><br>
<a href="http://www.tophosts.com/">Search for a Web Host</a><br>
<a href="http://service.bfast.com/bfast/click?bfmid=25584225&siteid=28065058&bfpage=internet_com_yellow">Continuing Education</a><BR>
<a href="http://www.ejigsaw.com/internetcom/">IT Products and Svcs<BR></a>
<a href="http://www.everyone.net.?AG=internet-f-text">Offer Free Email</a><BR>
<a href="http://www.insightexpress.com/ix/enterAffiliate.asp?affiliateID=800&cp=12">Survey Your Web Users</a><BR>

<br>
</font>

</td>
<td width="1" background="black.gif">
<img src="black.gif" width="1" height="550">
</td>
<td width="6">
 &nbsp; &nbsp;
</td>
<td valign="top">

<p>


<!-- article -->

<font color=#CC3333 face=Arial,Helvetica,sans-serif size=5>
<b>
Using Postfix
</b>
</font><br>
<font color=#CC3333 face=Arial,Helvetica,sans-serif size=4>
(Page 2)
</font><br>
<br>
<font color=#505050>By Alan P. Laudicina<br>
</font><br>

<a href="Features274.html">Previous Page</a>: Introduction,
Configuration and Compilation.

<p>

<h2>Installation</h2>

After the configuration and compilation of Postfix, installation is the last step.  To
install Postfix on a BSD machine, you must first move the sendmail binaries so that
you can replace the files without overwriting them.  To do this you can su to root and
execute the following commands:
<p>

<pre>
# mv /usr/sbin/sendmail /usr/sbin/sendmail.old
# mv /usr/bin/mailq /usr/bin/mailq.old
# mv /usr/bin/newaliases /usr/bin/newaliases.old
# chmod 755 /usr/sbin/sendmail.old /usr/bin/mailq.old /usr/bin/newaliases.old
</pre>
<p>

<b>Note:</b> After a <tt>make world</tt> to your BSD system, the Postfix binaries will
be replaced with sendmail libraries.  This makes it a <b>very</b> good idea to not delete
the Postfix source tree after compilation, so in the future after a <tt>make world</tt>
you can always come back and repeat the steps for the installation of the Postfix binaries
listed above.
<p>

<a name="mailwrapper"></a>
<h3>Mail Wrappers</h3>

Some BSD machines may pack with a mail wrapper.  It is used so that you can easily have
several MTAs installed at the same time.  The mail wrapper is not required, but if you
plan to use it, you should definitely read the mailwrapper(8) and mailer.conf(5) man
pages.  Instead of replacing the sendmail binaries, you could simply setup the
/etc/mailer.conf (or /etc/mail/mailer.conf) with something like:
<p>

<pre>
     # Emulate sendmail using postfix
     sendmail        /usr/libexec/postfix/sendmail
     send-mail       /usr/libexec/postfix/sendmail
     mailq           /usr/libexec/postfix/sendmail
     newaliases      /usr/libexec/postfix/sendmail
</pre> 
<p>

After the installation of the Postfix binaries you must create the user that postfix will
run as.  This user is to be named 'postfix' and have a unique user and group id, with a
non-existent shell (so that nobody can login to the account for security reasons), the
account does not require to have an existing home directory either.  To add the account
to my machine, I executed the following commands:
<p>

<pre>
# echo "postfix:*:33333:33333:Postfix Mail Daemon:/nonexistant:/sbin/nologin" >> \
  /etc/passwd
# echo "maildrop:*:33335:" >> /etc/group
</pre>
<p>

(Before you add the 'postfix' user and the 'maildrop' group, you may want to make sure
the uid and gid I use are available.  To do this look through the /etc/passwd and
/etc/group files with a command like <tt>more /etc/passwd</tt> or <tt>more /etc/group</tt>
You may also use the adduser(8) command.)
<p>

After you add the user that the mail daemon will run as, it is a good idea to forward all
that user's email to root.  We do this because nobody can login as the user postfix, so it
is a good idea to forward any email it gets to root.  Here is how you add the alias:
<p>

<pre>
# echo "postfix: root" >> /etc/aliases
</pre>

Now comes a decision for the person who is installing postfix from the directions I am
giving.  If a world-writable maildrop is okay with you, you can skip the next section
and go to the
"<a href="#install">sh INSTALL.sh</a>" section.  If you want to protect the maildrop directory, read the
following section.

<h2>Protecting your Maildrop directory</h2>

By default, postfix installs with a world-writable, mode 1733, sticky maildrop so that
local users can submit mail.  Well this method avoids using set-[gu]id software, it
is usually a bad idea if you have some annoying lusers.  The world-writable maildrop would
allow those users to fill the maildrop directory with masses of garbage and possibly crash
the mail system.  So to avoid this, we will add another group that is unique suck as the
'postfix' group.  You can do this with the following command:
<p>

<pre>
# echo "maildrop:*:33335:" >> /etc/group
</pre>

After you add the maildrop group, you can proceed to the next section.

<a name="install"></a>
<h2>sh INSTALL.sh</h2>

If you have made it this far, you are ready to start the "real" installation program.  You
can do this by going to the top level directory of the postfix source and executing the
following command:
<p>

<pre>
# sh INSTALL.sh
</pre>

This will run you through a script that will ask for input.  The defaults are fine here
until you get the the "setgid: [no]" option.  When you get here if you followed section 5,
then you want to replace the no by typing "maildrop" and then pressing enter.  If you
skipped section 5 and are installing with a non-protected maildrop directory, then you
can just leave this with the default "no" option.  After this step the "manpages" option
should also be left with the default selection.
<p>

<h2>Replacing sendmail forever</h2>

This document teaches how to replace sendmail forever on the BSD system.  To do this we
are going to need to kill the sendmail daemon and restart it so that it only sends out the
messages it may have queued.  To do this you want to execute the following commands:

<pre>
# kill -9 `ps ax | grep '[s]endmail' | awk '{ print $1 }'`
# /usr/sbin/sendmail.old -q
# postfix start
</pre>

Postfix can be started using the same syntax as sendmail, so it is not required to change
the /etc/rc.conf file.  When first run you should watch the syslog for complaints from
Postfix.  Since we changed the main.cf file previously, you should now have a completely
running mail daemon.  You can find all the configuration files in /etc/postfix.  When you
modify any of these files you must reload the daemon using <tt>postfix reload</tt> as root.
<p>

<blockquote><i>Alan P. Laudicina attends Assumption College School in Windsor, Ontario,
Canada.  He runs a website called "UnixPower", located at http://www.unixpower.org/ and
is the founder of the Windsor Unix Users Group.  He can be contacted by email at
alanp@unixpower.org</i></blockquote>


<p>
<font color=#cccccc face=Arial,Helvetica,sans-serif>More Info<br>
<font size=-1>
<a href="http://www.postfix.org/">Postfix website</a><br>
</font></font>
<!-- insert thestory --> 

<p>

<table width="350" bgcolor="#486591" border="0" cellpadding="1" cellspacing="0">
<tr>
<td bgcolor="#486591" nowrap>
<font size="2" face="arial,sans-serif,helvetica,geneva" color="#FFFFFF">
 &nbsp; <b>Talkbacks</b>
</td></tr></table>
<font size="-1" face="arial,sans-serif,helvetica,geneva">

<b>Please share your comments.</b><p>

<form method=post action="/eforum/add.cgi">

Name: <input name=name><p>

Email: <input name=email><p>

Subject: <input name=subject><p>

Message:<br>
<textarea name=comments cols=67 rows=7>
</textarea>
<p>

<input type="hidden" name="source_id" value="2000/September/Features274b.html">
<input name=post type=submit value="Submit Comment">

</form>

</font>

<p>

<!-- begin forum info -->
<a href="#eforum1"><b>Not overwriting sendmail when doing a make world</b><i> - Alan P. Laudicina</i></a><br>
<a href="#eforum2"><b>FreeBSD port - make replace</b><i> - Andrew J. Caines</i></a><br>
<p>
<a name="eforum1"></a>
<b>Not overwriting sendmail when doing a make world</b><br>
<i><a href="mailto:alanp@unixpower.org">Alan P. Laudicina</a>
 - September 07, 2000 20:49:13 </i><br>
There are other ways of not overwriting sendmail when doing a 'make world'.  One such way would be to put "NO_SENDMAIL=true" in the /etc/make.conf file.<br><br>
<a name="eforum2"></a>
<b>FreeBSD port - make replace</b><br>
<i><a href="mailto:A.J.Caines@altavista.net">Andrew J. Caines</a>
 - September 12, 2000 20:59:34 </i><br>
As well as adding "NO_SENDMAIL=true" in the /etc/make.conf to prevent a future 
world build from nuking anything, the port build includes the "replace" target to change 
a system running sendmail to one running postfix. After "make install", just type "make 
replace".<p>
A small point of order: "kill -9" really should be a last resort and almost never a first. 
Since I'm quibbling, don't "grep re | awk {...}", instead use "awk /re/{...}".<p>
-Andrew-<br><br>
<!-- end forum info -->

</td>
<td valign=top>

<table bgcolor="#9C0000" border="0" cellpadding="1" cellspacing="0">
<tr>
<td bgcolor="#9C0000" nowrap>
<table bgcolor="#FFFFFF">
<tr>
<td>
<center>
<font face="arial,sans-serif,helvetica,geneva" color="#486591">
<b>Weekly BSD News</b></font>
<br>
<font face="arial,sans-serif,helvetica,geneva">

<form action="http://e-newsletters.internet.com/cgi-bin/subscribe" method=POST>
<input type="hidden" name="List_Name" value="bsdtoday-text">
<input TYPE="text" name="email" size="15" value="your@email"
style="background:#9C0000;color:#FFFFFF;font-size:x-small;">
<br>
<input type="submit" name="Submit" value="subscribe!" style="color:#9C0000;font-size:x-small">
<input type=hidden name="redirect_ok" value="http://e-newsletters.internet.com/thankyou_new.html">
</form>
</font>
</center>
</td>
</tr>
<tr>
<td bgcolor="#FFFFFF" nowrap>
<font face="Verdana,Arial,Helvetica,sans-serif" size="1">

<A HREF="http://www.internet.com/sections/linux.html"><IMG
SRC="http://linuxtoday.com/pics/logo_osl_inetcom_wtux.png" WIDTH=117
HEIGHT=57 BORDER=0 ALT="The Linux Channel at internet.com" VSPACE=3></A><BR>
<A HREF="http://www.linuxplanet.com/">Linux Planet</A><br>
<A HREF="http://linuxcentral.com/">Linux Central</A><br>
<A HREF="http://www.linuxnewbie.org/">Linuxnewbie.org</A><br>
<A HREF="http://www.phpbuilder.com">PHPBuilder</A><br>
<A HREF="http://www.justlinux.com/">Just Linux</A><br>
<A HREF="http://www.linuxprogramming.com">Linux Programming</A><br>
<A HREF="http://www.linuxstart.com/">Linux Start</A><br>
<A HREF="http://www.linuxapps.com/">LinuxApps.com</A><br>
<A HREF="http://linuxtoday.com/">Linux Today</A><br>
<A HREF="http://eltoday.com/">Enterprise Linux Today</A><br>
<A HREF="http://www.alllinuxdevices.com">AllLinuxDevices</A><br>
<A HREF="http://apachetoday.com/">Apache Today</A><br>
<A HREF="http://jobs.linuxtoday.com/">Linux/Open Source Jobs</A><br>
<A HREF="http://www.internet.com/sections/linux.html">SITE DESCRIPTIONS</A><br>
</font>

</td>
</tr>
<tr>
<td bgcolor="#FFFFFF" nowrap>

<!-- 125x125 ad tag--> 
     <IFRAME WIDTH=125 HEIGHT=125 MARGINWIDTH=0 MARGINHEIGHT=0 HSPACE=0 VSPACE=0 FRAMEBORDER=0 SCROLLING=no BORDERCOLOR="#000000" SRC="http://netadsrv.iworld.com/html.ng/site=internetcom&PagePos=20&size=125x125&channel=linux&content_site=www.bsdtoday.com&feature=FEATURE">
     <SCRIPT LANGUAGE="JavaScript1.1" SRC="http://netadsrv.iworld.com/js.ng/site=internetcom&PagePos=20&size=125x125&channel=linux&content_site=www.bsdtoday.com&feature=FEATURE&Params.richmedia=yes"> 
     </SCRIPT>
     <NOSCRIPT>
     <A HREF="http://netadsrv.iworld.com/click.ng/site=internetcom&PagePos=20&size=125x125&channel=linux&content_site=www.bsdtoday.com&feature=FEATURE&Params.richmedia=yes"> 
     <IMG SRC=http://netadsrv.iworld.com/image.ng/site=internetcom&PagePos=20&size=125x125&channel=linux&content_site=www.bsdtoday.com&feature=FEATURE&Params.richmedia=yes"> 
     </A> 
     </NOSCRIPT> 
     </IFRAME> 
 <!-- /125x125 ad tag -->

</td>
</tr>
</table>
</td>
</tr>
</table>

</td>

</tr>
<tr>
<td valign="top" colspan="5">
<img src="black.gif" height="1" width="100%">
</td>
</tr>
</table>

<center>

<!-- 468x60 ad tag--> 
     <IFRAME WIDTH=468 HEIGHT=60 MARGINWIDTH=0 MARGINHEIGHT=0 HSPACE=0 VSPACE=0 FRAMEBORDER=0 SCROLLING=no BORDERCOLOR="#000000" SRC="http://netadsrv.iworld.com/html.ng/site=internetcom&PagePos=20&size=468x60&channel=linux&content_site=www.bsdtoday.com&feature=FEATURE">
     <SCRIPT LANGUAGE="JavaScript1.1" SRC="http://netadsrv.iworld.com/js.ng/site=internetcom&PagePos=20&size=468x60&channel=linux&content_site=www.bsdtoday.com&feature=FEATURE&Params.richmedia=yes"> 
     </SCRIPT>
     <NOSCRIPT>
     <A HREF="http://netadsrv.iworld.com/click.ng/site=internetcom&PagePos=20&size=468x60&channel=linux&content_site=www.bsdtoday.com&feature=FEATURE&Params.richmedia=yes"> 
     <IMG SRC=http://netadsrv.iworld.com/image.ng/site=internetcom&PagePos=20&size=468x60&channel=linux&content_site=www.bsdtoday.com&feature=FEATURE&Params.richmedia=yes"> 
     </A> 
     </NOSCRIPT> 
     </IFRAME> 
 <!-- /468x60 ad tag -->

</center>

<p>

<table width="100%" border=0 cellspacing=0 cellpadding=0
bgcolor="#9C0000">
<tr>
<td align="left" nowrap>
<font face="arial,sans-serif,MS Sans Serif, Geneva, Helvetica"
size="-2" color="#FFFFFF">
<span style="color:#FFFFFF">
&nbsp; <a href="#top"><font color="#FFFFFF">Back to top</font></a>
</span></font>
</td>
<td align=right nowrap>
<font face="arial,sans-serif,MS Sans Serif, Geneva, Helvetica"
size="-2" color="#FFFFFF">
<span style="color:#FFFFFF">
updated:
September 06, 2000 22:42:25 
&nbsp;&nbsp;</span></font>
	
</td></tr></table>

<br>

<font face="arial,sans-serif,MS Sans Serif, Geneva, Helvetica"
size="-2">
Copyright &copy; 2000 Internet.com Corp. All rights reserved.<br>
<a href="http://www.internet.com/corporate/legal.html">Legal Info</a>
|
<a href="http://www.internet.com/corporate/privacy/privacypolicy.html">Privacy
Policy</a>
</font>

</body>
</html>

